Bug 1466798 - Can't boot Fedora 24/25/26 with kernel 4.8.*-4.11.* without iommu=soft [NEEDINFO]
Can't boot Fedora 24/25/26 with kernel 4.8.*-4.11.* without iommu=soft
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-30 09:29 EDT by mrromanze
Modified: 2018-02-27 22:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1409201
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (mrromanze)

Attachments (Terms of Use)
Patch (2.08 KB, patch)
2017-06-30 15:42 EDT, mrromanze
no flags Details | Diff

  None (edit)
Description mrromanze 2017-06-30 09:29:02 EDT
+++ This bug was initially created as a clone of Bug #1409201 +++

Model: HP 15-ba028ur
AMD® A10-9600p radeon r5, 10 compute cores 4c+6g × 4 


AMD-Vi: Completion-Wait loop timed out
AMD-Vi: Event logged [IOTLB_INV_TIMEOUT device=...

With kernels 4.7.* the system boots fine.

When I boot the Fedora 25 LXDE Live CD (64-bit EFI version), I get the same errors (and errors SQUASHFS error: Unable to read data cache entry..., SQUASHFS error: Unable to read page, block...) . But when I add "iommu=soft" to kernel parameters, the Live CD boots fine!
Comment 2 mrromanze 2017-06-30 12:06:08 EDT
Similar bug report: https://bugzilla.redhat.com/show_bug.cgi?id=1448121
Comment 3 mrromanze 2017-06-30 12:22:51 EDT
PATCH that fixes this problem: https://patchwork.freedesktop.org/patch/157327/
Comment 4 mrromanze 2017-06-30 15:42 EDT
Created attachment 1293333 [details]
Comment 5 Laura Abbott 2018-02-27 22:53:20 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.